Bug 1944692 - Incompatibility between pyodbc and mariadb-connector-odbc/mariadb-server
Summary: Incompatibility between pyodbc and mariadb-connector-odbc/mariadb-server
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: mariadb-connector-odbc
Version: 8.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 8.5
Assignee: Michal Schorm
QA Contact: Jakub Heger
Lenka Špačková
URL:
Whiteboard:
Depends On: 1922105
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-30 13:53 UTC by Filip Januš
Modified: 2021-10-06 07:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
.`pyodbc` works again with `MariaDB 10.3` The `pyodbc` module did not work with the `MariaDB 10.3` server included in the RHEL 8.4 release. The root cause in the `mariadb-connector-odbc` package has been fixed, and `pyodbc` now works with `MariaDB 10.3` as expected. Note that earlier versions of the `MariaDB 10.3` server and the `MariaDB 10.5` server were not affected by this problem.
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Filip Januš 2021-03-30 13:53:29 UTC
Description of problem:
The combination of pyodbc-4.0.30, mariadb-server-10.3.27-3 and mariadb-connector-odbc-3.0.7-1 leads to the issue, which makes pyodbc unusable(exec method every time fails). 
Every query attempt returns : pyodbc.DataError: ('22018', '[22018] [ma-3.0.7][10.3.27-MariaDB]Invalid character value for cast specification (0) (SQLExecDirectW)')



Version-Release number of selected component (if applicable):


How reproducible:
install mariadb-server-10.3.27-3, mariadb-connector-odbc, unixODBC, pyodbc
set up correctly drivers 
run a simple query via pyodbc API

Reproducer available here [1]

[1] https://github.com/devexp-db/pyodbc-tests/tree/master/Sanity/mariadb-odbc

Comment 14 Gabi Fialová 2021-08-17 13:38:15 UTC
I have reviewed the doc text and I have no suggestions for changes.


Note You need to log in before you can comment on or make changes to this bug.